LinuxQMISDK: IMSAServiceStatus Struct Reference

LinuxQMISDK SLQS03.03.11

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
IMSAServiceStatus Struct Reference

## Data Fields
ULONG * | pSmsServiceStatus
ULONG * | pVoipServiceStatus
ULONG * | pVtServiceStatus
ULONG * | pSmsServiceRat
ULONG * | pVoipServiceRat
ULONG * | pVtServiceRat
ULONG * | pUtServiceStatus
ULONG * | pUtServiceRat
ULONG * | pVsServiceStatus
ULONG * | pVsServiceRat

## Detailed Description

This structure contains response parameters of service status for various IMS services.

Parameters

  pSmsServiceStatus | SMS Service Status. Values 0 - IMS SMS service is not available 1 - IMS SMS is in limited service 2 - IMS SMS is in full service
  pVoipSeriveStatus | VoIP Service Status. -Values 0 - IMS VoIP service is not available 2 - IMS VoIP is in full service
  pVtServiceStatus | VT Service Status Values 0 - IMS VT service is not available 2 - IMS VT is in full service
  pSmsServiceRat | SMS service RAT Values 0 - IMS service is registered on WLAN 1 - IMS service is registered on WWAN 2 - IMS service is registered on interworking WLAN
  pVoipServiceRat | VoIP service RAT. Values 0 - IMS service is registered on WLAN 1 - IMS service is registered on WWAN 2 - IMS service is registered on interworking WLAN
  pVtServiceRat | VT service RAT. Values 0 - IMS service is registered on WLAN 1 - IMS service is registered on WWAN 2 - IMS service is registered on interworking WLAN
  pUtServiceStatus | UT service Status. Values 0 - IMS UT service is not available 2 - IMS UT is in full service
  pUtServiceRat | UT service RAT. Values 0 - IMS service is registered on WLAN 1 - IMS service is registered on WWAN 2 - IMS service is registered on interworking WLAN
  pVsServiceStatus | VS service Status. Values 0 - IMS UT service is not available 2 - IMS UT is in full service
  pVsServiceRat | VS service RAT. Values 0 - IMS service is registered on WLAN 1 - IMS service is registered on WWAN 2 - IMS service is registered on interworking WLAN

## Field Documentation

ULONG* IMSAServiceStatus::pSmsServiceRat

ULONG* IMSAServiceStatus::pSmsServiceStatus

ULONG* IMSAServiceStatus::pUtServiceRat

ULONG* IMSAServiceStatus::pUtServiceStatus

ULONG* IMSAServiceStatus::pVoipServiceRat

ULONG* IMSAServiceStatus::pVoipServiceStatus

ULONG* IMSAServiceStatus::pVsServiceRat

ULONG* IMSAServiceStatus::pVsServiceStatus

ULONG* IMSAServiceStatus::pVtServiceRat

ULONG* IMSAServiceStatus::pVtServiceStatus